#ifndef __LUXINIA_PUBAPI_MATRIX_H__
#define __LUXINIA_PUBAPI_MATRIX_H__

#ifdef __cplusplus
extern "C" {
#endif

	#include "../luxinia.h"

	LUXIAPI luxiRmatrix4x4	luxiRMatrix44_new(float *copyfrom);
	LUXIAPI float*			luxiRMatrix44_pointer(luxiRmatrix4x4 ref);

#ifdef __cplusplus
}
#endif

#endif
